#include <stdio.h>
#include <stdlib.h>

main()
{
	int n,m,i,j,k,u,q;
	printf("Koliko ima ucenika i koliko ima parova poznanika? ");
	scanf("%d %d",&n,&m);
	char a[n],d[n],x[m],y[m];
	for(i=0;i<n;i++)
	{
		printf("Koja je druzeljubivost takmicara? ");
		scanf("%d",&d[i]);
	}
	for(j=0;j<m;j++)
	{
		printf("Koliko ucenik ima prijatelja, a koliko neprijatelja? ");
		scanf("%d %d",&x[j],&y[j]);
	}
	
	for(k=0;k<n;k++)
	{
		a[k]=d[k]+(x[k]-y[k]);
	}
	u=0;
	for(q=0;q<n;q++)
	{
		u=u+a[q];
	}
	u=u+3;
	printf("Ukupna sreca je: %d",u);
}